{
"id": "<string>",
"isCartEnabled": true,
"isCatalogVisible": true
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}WhatsApp Phone Numbers
Retrieve commerce settings
Retrieves a WhatsApp business phone number’s commerce settings.
GET
https://api.ycloud.com/v2
/
whatsapp
/
phoneNumbers
/
{wabaId}
/
{phoneNumber}
/
whatsappCommerceSettings
{
"id": "<string>",
"isCartEnabled": true,
"isCatalogVisible": true
}{
"error": {
"status": 404,
"code": "NOT_FOUND",
"message": "The requested resource does not exist.",
"target": "",
"docUrl": "",
"requestId": "req_1KjtKI80IKoaJNa6n6p",
"whatsappApiError": {
"message": "HSM Template creation failed",
"code": 200002,
"type": "OAuthException",
"is_transient": false,
"error_subcode": 2388109,
"error_user_msg": "This message template cannot be created.",
"error_user_title": "Message Cannot Be Submitted",
"fbtrace_id": "AVGjJ7ia2zJkrHG",
"error_data": "<string>"
},
"metaBusinessAgentApiError": {
"title": "<string>",
"detail": "<string>",
"type": "<string>",
"status": 123,
"requestId": "<string>"
},
"messengerApiError": {
"code": "100",
"subcode": "2018276"
}
}
}Path Parameters
Phone number in E.164 format.
Example:
"+16315551111"
Response
Successfully retrieved the object.
WhatsApp business phone number's commerce settings.
When enabled, the catalog storefront icon and catalog-related buttons appear in conversation and business profile views. When the catalog is disabled, the storefront icon and catalog-related buttons will not appear in any views and the catalog preview with thumbnails will not appear in the business profile view.

